diff --git a/web/pgadmin/browser/server_groups/servers/__init__.py b/web/pgadmin/browser/server_groups/servers/__init__.py
index c12c0b3..c6b1f37 100644
--- a/web/pgadmin/browser/server_groups/servers/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/__init__.py
@@ -868,6 +868,7 @@ class ServerNode(PGChildNodeView):
                         manager.server_type
                     ),
                     'connected': True,
+                    'server_type': manager.server_type,
                     'type': manager.server_type,
                     'version': manager.version,
                     'db': manager.db,
diff --git a/web/pgadmin/browser/server_groups/servers/resource_groups/templates/resource_groups/js/resource_groups.js b/web/pgadmin/browser/server_groups/servers/resource_groups/templates/resource_groups/js/resource_groups.js
index c98c41a..3cc822e 100644
--- a/web/pgadmin/browser/server_groups/servers/resource_groups/templates/resource_groups/js/resource_groups.js
+++ b/web/pgadmin/browser/server_groups/servers/resource_groups/templates/resource_groups/js/resource_groups.js
@@ -39,12 +39,11 @@ define(
           /* Function is used to check the server type and version.
            * Resource Group only supported in PPAS 9.4 and above.
            */
-          enable: function() {
-            var server_obj = arguments[0];
-            if (server_obj.server_type === 'ppas' && server_obj.version >= 90400)
-              return true;
-            else
-              return false;
+          enable: function(node, item) {
+            var treeData = this.getTreeNodeHierarchy(item),
+                server = treeData['server'];
+            return server.connected && node.server_type === 'ppas' &&
+                   node.version >= 90400;
           }
         },{
           name: 'create_resource_group_on_coll', node: 'coll-resource_group', module: this,
